//
// Created by zoe on 12/19/22.
//

#ifndef HOST_CENTRAL_MAST_NTPEXCEPTION_HPP
#define HOST_CENTRAL_MAST_NTPEXCEPTION_HPP

#include <exception>
#include <string>

class NTPException : public std::exception {
public:
    explicit NTPException(const std::string &message) : message(message) {}

    const char *what() const noexcept override {
        return message.c_str();
    }

private:
    std::string message;
};

#endif //HOST_CENTRAL_MAST_NTPEXCEPTION_HPP
