//
// Created by zoe on 2/2/23.
//

#ifndef CLIENT_MOCK_HARDWARENAMES_H
#define CLIENT_MOCK_HARDWARENAMES_H

#include <map>

// 32,767 possible values
enum class HardwareName : short {
  RS485, // TODO: THIS IS THE PROTOCOL NAME NOT THE HARDWARE NAME
  INA219,
  SCD30,
  RAIN_GAUGE,
  SOIL_MOISTURE_SENSOR,
  SOIL_TEMPERATURE_SENSOR,
  SOLAR_RADIATION_SENSOR,
  SHT85,
  DRS26,
  DR26,
  MOCK,
  NONE,
  LC709203,
};

// hardware name to string function

namespace HardwareNames {
std::string hardwareNameToString(HardwareName hardwareName);
}


#endif //CLIENT_MOCK_HARDWARENAMES_H
